Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/os_include/sys/os_types.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/os_stddef.h"`

Include dependency graph for os_types.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | CLOCK_REALTIME 0
#define | ACE_INVALID_PID ((pid_t) -1)
## Typedefs
typedef double | ACE_timer_t
typedef int | clockid_t
typedef DWORD | nlink_t
typedef u_short | mode_t
typedef long | uid_t
typedef long | gid_t
typedef char * | caddr_t
typedef int | ssize_t
typedef DWORD | ACE_exitcode
typedef long | pid_t

## Detailed Description

data types

Id:
  os_types.h,v 1.6 2003/11/04 17:17:32 ossama Exp

Author:
  Don Hinton <dhinton@dresystems.com> , This code was originally in various places including ace/OS.h.

## Define Documentation

#define ACE_INVALID_PID ((pid_t) -1)

#define CLOCK_REALTIME 0

## Typedef Documentation

typedef DWORD ACE_exitcode

typedef double ACE_timer_t

typedef char* caddr_t

typedef int clockid_t

typedef long gid_t

typedef u_short mode_t

typedef DWORD nlink_t

typedef long pid_t

typedef int ssize_t

typedef long uid_t